﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd">
    <head><title>Viewing Elasticsearch-based Analytics History</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Viewing Elasticsearch-based Analytics History</h1>
        <p>You can view the elastic based analytics history of the following using the <strong>Analytics History V2</strong>.&#160;You can&#160;also view the violations found based on the execution of risk signatures. The violations count appears in numerical format.</p>
        <ul>
            <li><strong>Endpoint</strong>- It is a single endpoint / application.&#160;</li>
            <li><strong>Organization</strong>- Group of one or more endpoints (applications).</li>
        </ul>
        <p>For ease of use, IGA uses a concept of context for analytics. Analytics history can be viewed either by an organization or an endpoint context. Multiple endpoints can be grouped into an organization entity. If you want to view the analytics history for multiple sets of endpoints under an organization, you can specify the organization name and fetch the details. Similarly, the analytics history can be viewed for a specific endpoint context too, which gives the details for only the specified endpoint.&#160;For more information on how to configure endpoint or organization as global filter, see&#160;Analytics Global Configuration &gt;&#160; Application Global Filter parameter.</p>
        <p>Following are the examples of different categories within an endpoint:</p>
        <ul>
            <li>Access Request System -&#160;Analytic belonging to ARS.</li>
            <li>Preventive SOD check -Analytic for preventive SOD check.</li>
            <li>Information Refresh -&#160;Analytic for looking for stale information or refreshing the information.</li>
            <li>Non Person Accounts -&#160;Analytic for checking the non person accounts.</li>
            <li>Usage -&#160;Analytic for understanding the usage.</li>
            <li>Provisioning -&#160;Analytic for keeping track of provisioning.</li>
            <li>De Provisioning -&#160;Analytic for keeping track of de-provisioning.</li>
            <li>
                <p class="auto-cursor-target">Certification -&#160;Analytic for keeping track of certifications.</p>
                <p>As few columns are displayed twice because of the query and option to select the column, the following columns have been restricted for ES to be passed.&#160;</p>
                <ul>
                    <li>status column</li>
                    <li>comments column</li>
                    <li>fulrun column</li>
                    <li>basecountrun column</li>
                    <li>updatedate column</li>
                </ul>
                <p>As a workaround, you can still pass status and column by specifying an alias for above mentioned columns in the query, which will still create and run the control. It will display only 1 column as desired for the above columns. For example: </p><span class="attr">select status as accountstatus from accounts;</span>
                <p>In the above example, accountstatus is an alias used to fetch status. You can use an alias other than status.</p><span class="attr">select comments as acccomments from accounts;</span>
                <p>In the above example, acccomments is an alias used to fetch the comments value. You can use an alias other than comments.&#160;</p>
            </li>
        </ul>
        <p>Following are the types:</p>
        <h3>Viewing ES Based Analytics History by Endpoints&#160;</h3>
        <p>To view the ES based analytics history by endpoint, perform the following steps:</p>
        <ol>
            <li>Go to <strong>Analytics &gt; Analytics History.</strong></li>
            <li>Select&#160;the <strong style="text-align: left;">Version 2&#160;</strong>tab.</li>
            <li>Select the appropriate endpoint name in the&#160;<strong>Filter By&#160;Endpoint&#160;</strong>filter field.&#160;</li>
        </ol>
        <p>The list of categories along with sub-categories and their data appears based on the endpoint name selected.</p>
        <h2 id="ViewingESBasedAnalyticsHistory-ViewingESBasedAnalyticsHistorybyOrganizations">Viewing ES Based Analytics History by Organizations&#160;</h2>
        <p>To view the ES based analytics history by organization, perform the following steps:</p>
        <ol>
            <li>Go to <strong>Analytics &gt; Analytics History.</strong></li>
            <li>
                <p>Select&#160;the <strong>Version 2</strong>&#160;tab</p>
            </li>
            <li>
                <p class="auto-cursor-target">Select the appropriate organization name in the&#160;<strong>Filter By Organization</strong>&#160;filter field.&#160;</p>
            </li>
        </ol>
        <p>The list of categories along with sub-categories and their data appears based on the organization name selected.</p>
        <p>&#160;</p>
    </body>
</html>